#!/bin/bash

# See https://www.mail-archive.com/qemu-devel@nongnu.org/msg471657.html thread.
#
# The "pc-q35-2.4" machine type was changed to "pc-q35-2.9" on 06-August-2017.

##################################################################################
# NOTE: Comment out the "MY_OPTIONS" line in case you are having booting problems!
##################################################################################

CPU_OPTS="+aes,+xsave,+avx,+xsaveopt,+avx2,+bmi2,+smep,+bmi1,+fma,+movbe"

#OVMF_VARS_PATH=/tmp/ovmf_osx_vars.bin
#cp ./ovmf-local/ovmf_vars_x64.bin $OVMF_VARS_PATH

#git checkout OVMF_VARS-pure-efi.fd

qemu-system-x86_64 -enable-kvm -m 8192 -cpu Penryn,kvm=on,vendor=GenuineIntel,+invtsc,vmware-cpuid-freq=on,$CPU_OPTS\
	  -machine pc-q35-2.9 \
	  -smp 4,cores=2 \
	  -usb -device usb-kbd -device usb-tablet \
	  -device isa-applesmc,osk="ourhardworkbythesewordsguardedpleasedontsteal(c)AppleComputerInc" \
	  -drive if=pflash,format=raw,readonly,file=./ovmf-local/OVMF_CODE-pure-efi.fd \
	  -drive if=pflash,format=raw,file=./ovmf-local/OVMF_VARS-pure-efi-1024x768.fd \
	  -smbios type=2 \
	  -device ich9-intel-hda -device hda-duplex \
	  -device ide-drive,bus=ide.2,drive=MacHDD \
	  -drive id=MacHDD,if=none,file=/q_images/osx/osx_hs.img,format=qcow2 \
	  -netdev  bridge,br=bridge0,id=n1 -device e1000-82545em,mac=52:54:96:ae:54:df,netdev=n1 \
	  -monitor stdio
