#!/bin/bash

# See https://www.mail-archive.com/qemu-devel@nongnu.org/msg471657.html thread.
#
# The "pc-q35-2.4" machine type was changed to "pc-q35-2.9" on 06-August-2017.
#
# The "media=cdrom" part is needed to make Clover recognize the bootable ISO
# image.

##################################################################################
# NOTE: Comment out the "MY_OPTIONS" line in case you are having booting problems!
##################################################################################

CPU_OPTS="+aes,+xsave,+avx,+xsaveopt,avx2,+smep"

qemu-system-x86_64 -enable-kvm -m 8192 -cpu Penryn,kvm=on,vendor=GenuineIntel,+invtsc,vmware-cpuid-freq=on,$CPU_OPTS\
	  -machine pc-q35-2.9 \
	  -smp 4,cores=2 \
	  -usb -device usb-kbd -device usb-tablet \
	  -device isa-applesmc,osk="ourhardworkbythesewordsguardedpleasedontsteal(c)AppleComputerInc" \
	  -drive if=pflash,format=raw,readonly,file=./ovmf-local/OVMF_CODE-pure-efi.fd \
	  -drive if=pflash,format=raw,file=./ovmf-local/OVMF_VARS-pure-efi-1024x768.fd \
	  -smbios type=2 \
	  -device ich9-intel-hda -device hda-duplex \
	  -device ide-drive,bus=ide.2,drive=Clover \
	  -drive id=Clover,if=none,snapshot=on,format=qcow2,file=./HighSierra/Clover.qcow \
	  -device ide-drive,bus=ide.1,drive=MacHDD \
	  -drive id=MacHDD,if=none,file=/q_images/osx/osx_hs.img,format=qcow2 \
	  -device ide-drive,bus=ide.0,drive=CloverIso \
	  -drive id=CloverIso,if=none,snapshot=on,media=cdrom,file=./HighSierra/Clover-v2.4k-4380-X64.iso \
	  -netdev  bridge,br=bridge0,id=n1 -device e1000-82545em,mac=52:54:96:ae:54:df,netdev=n1 \
	  -monitor stdio

      # Installation disk
	  #-device ide-drive,bus=ide.0,drive=MacDVD \
	  #-drive id=MacDVD,if=none,snapshot=on,media=cdrom,file=/q_images/osx/HighSierra.iso \

	  #-netdev tap,id=net0,ifname=tap0,script=no,downscript=no -device e1000-82545em,netdev=net0,id=net0,mac=52:54:00:c9:18:27 \
	  #-net  bridge,br=bridge0 -net nic,name=net0,macaddr=52:54:00:c9:18:27 \
	  #-net  bridge,br=bridge0 -net nic,name=net0,macaddr=52:54:96:ae:54:df \
